[postgis-tickets] [SCM] PostGIS branch master updated. 3.1.0alpha1-17-g9e40e8e

git at osgeo.org git at osgeo.org
Tue Feb 25 02:01:45 PST 2020


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  9e40e8e35795fab1553e52711a6f83d832dc62ba (commit)
      from  9a561c2f38e47d24188e3607fe4615203662f71f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 9e40e8e35795fab1553e52711a6f83d832dc62ba
Author: Sandro Santilli <strk at kbt.io>
Date:   Tue Feb 25 10:31:14 2020 +0100

    Do not test FROM unpackaged upgrade paths with PostgreSQL >= 13
    
    See #4643

diff --git a/utils/check_all_upgrades.sh b/utils/check_all_upgrades.sh
index 80b9231..f5fc9bb 100755
--- a/utils/check_all_upgrades.sh
+++ b/utils/check_all_upgrades.sh
@@ -115,23 +115,31 @@ for EXT in ${INSTALLED_EXTENSIONS}; do
   done
 
   # Check unpackaged->extension upgrades
-  for majmin in `'ls' -d ${CTBDIR}/postgis-* | sed 's/.*postgis-//'`; do
-    UPGRADE_PATH="unpackaged${majmin}--${to_version_param}"
-    # only consider versions older than ${to_version_param}
-    cmp=`semver_compare "${majmin}" "${to_version_param}"`
-    if test $cmp -ge 0; then
-      echo "SKIP: upgrade $UPGRADE_PATH ($to_version_param is not newer than $majmin)"
-      continue
-    fi
-    echo "Testing ${EXT} upgrade $UPGRADE_PATH"
-    export RUNTESTFLAGS="-v --extension --upgrade-path=${UPGRADE_PATH}"
-    make -C ${REGDIR} check && {
-      echo "PASS: upgrade $UPGRADE_PATH"
-    } || {
-      echo "FAIL: upgrade $UPGRADE_PATH"
-      failed
-    }
-  done
+  #
+  # NOTE: unsupported since PostgreSQL 13
+  #       See https://trac.osgeo.org/postgis/ticket/4643
+  #
+  export PGDATABASE=template1
+  pg_version_num=`psql -XAtc "SELECT current_setting('server_version_num')"` || exit 1
+  if test "$pg_version_num" -lt 130000; then
+    for majmin in `'ls' -d ${CTBDIR}/postgis-* | sed 's/.*postgis-//'`; do
+      UPGRADE_PATH="unpackaged${majmin}--${to_version_param}"
+      # only consider versions older than ${to_version_param}
+      cmp=`semver_compare "${majmin}" "${to_version_param}"`
+      if test $cmp -ge 0; then
+        echo "SKIP: upgrade $UPGRADE_PATH ($to_version_param is not newer than $majmin)"
+        continue
+      fi
+      echo "Testing ${EXT} upgrade $UPGRADE_PATH"
+      export RUNTESTFLAGS="-v --extension --upgrade-path=${UPGRADE_PATH}"
+      make -C ${REGDIR} check && {
+        echo "PASS: upgrade $UPGRADE_PATH"
+      } || {
+        echo "FAIL: upgrade $UPGRADE_PATH"
+        failed
+      }
+    done
+  fi
 
 done
 

-----------------------------------------------------------------------

Summary of changes:
 utils/check_all_upgrades.sh | 42 +++++++++++++++++++++++++-----------------
 1 file changed, 25 insertions(+), 17 deletions(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list